%define py_prefix   /usr
%define py_ver      1.5
%define pygtk_ver   0.6.6
%define pygnome_ver 1.0.53

Summary: The sources for the PyGTK and PyGNOME Python extension modules.
Name: pygnome
Version: %{pygnome_ver}
Release: 4mdk
Source: gnome-python-%{pygnome_ver}.tar.bz2
Copyright: LGPL
Group: Development/GNOME and GTK+
BuildRequires: XFree86-devel xpm-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel libjpeg-devel libpng-devel zlib-devel ORBit-devel gnome-core control-center-devel libglade-devel libxml-devel Mesa-common-devel gtkglarea-devel
BuildRoot: /var/tmp/gnome-python-%{pygnome_ver}
URL: ftp://ftp.daa.com.au/pub/james/python/
Requires: pygtk = %{pygtk_ver}
Requires: gnome-libs

%description 
PyGNOME is an extension module for python that gives you access to the
base GNOME libraries.  This means you have access to more widgets, simple
configuration interface, metadata support and many other features.

%package -n pygtk
Version: %{pygtk_ver}
Summary: Python bindings for the GTK+ widget set.
Group: Development/GNOME and GTK+
Requires: glib, gtk+, imlib, python >= 1.5.2

%description -n pygtk
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all of python's benefits.

%package -n pygtk-libglade
Version: %{pygtk_ver}
Summary: A wrapper for the libglade library for use with PyGTK
Group: Development/GNOME and GTK+

%description -n pygtk-libglade
This module contains a wrapper for the libglade library.  Libglade is a
library similar to the pyglade module, except that it is written in C (so
is faster) and is more complete.

%package -n pygnome-libglade
Version: %{pygtk_ver}
Summary: GNOME support for the libglade python wrapper
Group: Development/GNOME and GTK+
Requires: pygtk-libglade

%description -n pygnome-libglade
This module contains GNOME support to suppliment the libglade python
wrapper.  Libglade is a library similar to the pyglade module, except
that it is written in C (so is faster) and is more complete.

%ifnarch ppc
%package -n pygtk-glarea
Version: %{pygtk_ver}
Summary: A wrapper for the GtkGLArea widget for use with PyGTK
Group: Development/GNOME and GTK+

%description -n pygtk-glarea
This module contains a wrapper for the GtkGLArea widget, which allows you
to display OpenGL output inside your pygtk program.  It needs a set of
Python OpenGL bindings such as PyOpenGL to actually do any OpenGL rendering.
%endif

%package -n pygnome-applet
Version: %{pygnome_ver}
Summary: Python bindings for GNOME Panel applets.
Group: Development/GNOME and GTK+
Requires: pygnome = %{pygnome_ver} gnome-core

%description -n pygnome-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%package -n pygnome-capplet
Version: %{pygnome_ver}
Summary: Python bindings for GNOME Panel applets.
Group: Development/GNOME and GTK+
Requires: pygnome = %{pygnome_ver} control-center

%description -n pygnome-capplet
This module contains a wrapper that allows GNOME Control Center
capplets to be in Python.

%prep
%setup -q -n gnome-python-%{pygnome_ver}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{py_prefix} 

%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%files -n pygtk
%defattr(-,root,root)
%{py_prefix}/lib/python%{py_ver}/site-packages/gtk.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/Gtkinter.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/GtkExtra.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/GTK.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/GDK.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/GdkImlib.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/pyglade/*.py*

%{py_prefix}/lib/python%{py_ver}/site-packages/_gtkmodule.so
%{py_prefix}/lib/python%{py_ver}/site-packages/_gdkimlibmodule.so

%{py_prefix}/include/pygtk

%doc pygtk/AUTHORS pygtk/NEWS pygtk/README pygtk/MAPPING pygtk/ChangeLog 
%doc pygtk/description.py pygtk/examples

%files -n pygtk-libglade
%defattr(-,root,root)
%{py_prefix}/lib/python%{py_ver}/site-packages/libglade.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/_libglademodule.so

%files -n pygnome-libglade
%defattr(-,root,root)
%{py_prefix}/lib/python%{py_ver}/site-packages/_gladegnomemodule.so
# the following are only included if gnome-core and control-center were
# installed during the build
%files -n pygnome-applet
%defattr(-,root,root)
%{py_prefix}/lib/python%{py_ver}/site-packages/_appletmodule.so
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/applet.py*

%files -n pygnome-capplet
%defattr(-,root,root)
%{py_prefix}/lib/python%{py_ver}/site-packages/_cappletmodule.so
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/capplet.py*

%files -n pygnome
%defattr(-,root,root)
%{py_prefix}/lib/python%{py_ver}/site-packages/gettext.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/__init__.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/affine.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/config.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/file.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/help.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/history.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/metadata.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/mime.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/score.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/triggers.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/ui.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/uiconsts.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/url.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/util.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/xmhtml.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/gnome/zvt.py*

%{py_prefix}/lib/python%{py_ver}/site-packages/_gnomemodule.so
%{py_prefix}/lib/python%{py_ver}/site-packages/_gnomeuimodule.so
%{py_prefix}/lib/python%{py_ver}/site-packages/_zvtmodule.so
%{py_prefix}/lib/python%{py_ver}/site-packages/_gtkxmhtmlmodule.so

%doc AUTHORS NEWS README ChangeLog
%doc pygnome/examples

%ifnarch ppc
%files -n pygtk-glarea
%defattr(-,root,root)
%{py_prefix}/lib/python%{py_ver}/site-packages/gtkgl.py*
%{py_prefix}/lib/python%{py_ver}/site-packages/_gtkglmodule.so
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.53-4mdk
- added missing util.py*

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.53-3mdk
- suppressed svgalib-devel BuildRequires.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.53-2mdk
- automatically added BuildRequires

* Mon Apr 10 2000 DindinX <odin@mandrakesoft.com> 1.0.53-1mdk
- New version

* Mon Apr  3 2000 DindinX <odin@mandrakesoft.com> 1.0.52-1mdk
- Added URL tag
- New version
- resurect pygtk-glarea
- Added a %clean tag

* Thu Mar 30 2000 DindinX <odin@mandrakesoft.com> 1.0.51-4mdk
- Specs fixes
- Group fixes
- Added some deps.

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 1.0.51-3mdk
- PPC support

* Thu Feb 17 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.51-2mdk
- defattr's

* Wed Feb 16 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.51-1mdk
- update to 1.0.51
- requires python 1.5.2
- do some merges with the official spec
	- added pygnome-libglade subpackage
	- split applet and capplet modules into their own package


* Tue Dec 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Bump spec to get above pablo (lay off the crack son, ther is no 1.0.52)

* Thu Nov 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- And make pygnome the main package cause rpm 

* Mon Nov 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Opps forgot to uncomment pygtk-glarea

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- configure goes in build not prep
- enable SMP build
- zip and strip
- 1.0.50

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild with %defattr(-,root,root) (Thanks to Michael Irving <laric@laric.com>).

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild without libgtkgl.so.3.

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.0.4

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sat Feb 20 1999 Michael Johnson <johnsonm@redhat.com>
- added gtk.py* to pygtk filelist

* Tue Feb 16 1999 Michael Johnson <johnsonm@redhat.com>
- rebuilt against 0.99.8

* Tue Feb 09 1999 Michael Johnson <johnsonm@redhat.com>
- added examples
